This endpoint retrieves a list of all emergency contacts for a specific employee.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/emergency_contactsPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
Query Parameters
Current page index
11Number of items per page
20100Response Body
A hash with a data property that contains an array of up to the limit of emergency contacts. Each entry in the array is a separate emergency contact object. If there are no more emergency contacts, the resulting array will be empty.
Unique identifier for the object.
The name of contactor
The phone number of contactor in daytime
The phone number of contactor after working hours
the mobile number of contactor after working hours
The relationship between contactor and the employee
The type of contactor
Current page index
11Number of items per page
20100Total items
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/emergency_contacts" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "id": 110762, "contact_name": "Daniel Levi", "daytime_contact_number": "02222222222", "after_hours_no": "02222222222", "after_mobile_no": "02222222222", "relationship": "wife", "contact_type": "primary" } ], "page_index": 1, "item_per_page": 20, "total_items": 1, "total_pages": 1 }}